Skip to main content
GET
Get the utilization timelines for a given space set category in a building.

Authorizations

Authorization
string
header
required

This API uses OAuth 2 with the clientCredentials grant flow. More info

Path Parameters

buildingId
integer<int32>
required

The unique ID of a building.

Example:

6

Query Parameters

spaceSetCategory
string
required

The name of the space set category. The name is case sensitive.

Example:

"Zones"

spaceType
enum<string>

The type of spaces that should be returned. This parameter is case sensitive. If the spaceType is ommitted, the data returned will correspond to all types combined. The type of Space as seen in Locatee Analytics.

Available options:
Desk,
MeetingRoom,
CollaborationSpace,
Undefined
Example:

"MeetingRoom"

date
string<date>

The date for which the timeline is requested. The expected format is YYYY-MM-DD. If the date is omitted, data for today in the given building is returned.

Example:

"2020-10-20"

Response

Successful operation

Contains utilization data for a list of SpaceSets.

building
object

Building information along with information about all floors in that building.

spaceSets
object[]